Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003037 [Slicer4] Core: Building (CMake, Superbuild) minor N/A 2013-03-29 11:22 2013-04-02 12:15
Reporter tokuda View Status public  
Assigned To jcfr
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0003037: Change Repositories for OpenIGTLink and OpenIGTLinkIF
Description The External_OpenIGTLink.cmake and External_OpenIGTLinkIF.cmake are still pointing the old repositories in the NA-MIC SandBox. They must be updated to use new repositories in GitHub.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008269)
jcfr (administrator)
2013-04-01 12:03

All set. See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=21852 [^]

As a side note, last year I contributed a lot of changes :)
See https://github.com/Slicer/OpenIGTLinkIF/compare/svn-mirror...patched [^]

Could you make sure all of them have been integrated ?
(0008282)
tokuda (developer)
2013-04-02 10:09

Yes, they are integrated in the code. Thank you very much for your contribution. It is noted in:

https://github.com/openigtlink/OpenIGTLinkIF/commit/d5ea9f2b48fe32f2dfbbfe1f60bd562856784338 [^]

I know this is not a good way to acknowledge... I wanted to acknowledged your work by merging you changes with your name, but I couldn't figure out how to merge the changes in git repository into SVN, when I worked on it a year ago.
(0008283)
jcfr (administrator)
2013-04-02 10:14

Excellent. Good to know the changes have been integrated.

Very true, there were no real way of keeping track of the original author when integrating git changes into a svn repo. If you end up rewriting the history ... that could now easily be done :)

Otherwise, in Slicer we now recommend the use of the "--add-author-from" command line option. See http://www.slicer.org/slicerWiki/index.php/Slicer:git-svn#Integrating_topic_from_external_contributor [^]
(0008284)
tokuda (developer)
2013-04-02 11:08

This is good to know. Thanks for the info.

- Issue History
Date Modified Username Field Change
2013-03-29 11:22 tokuda New Issue
2013-03-29 11:22 tokuda Status new => assigned
2013-03-29 11:22 tokuda Assigned To => jcfr
2013-03-29 11:23 tokuda Assigned To jcfr => tokuda
2013-04-01 12:03 jcfr Note Added: 0008269
2013-04-01 12:03 jcfr Status assigned => resolved
2013-04-01 12:03 jcfr Fixed in Version => Slicer 4.3.0
2013-04-01 12:03 jcfr Resolution open => fixed
2013-04-01 12:03 jcfr Target Version => Slicer 4.3.0
2013-04-02 10:09 tokuda Note Added: 0008282
2013-04-02 10:14 jcfr Note Added: 0008283
2013-04-02 10:14 jcfr Status resolved => assigned
2013-04-02 10:14 jcfr Assigned To tokuda => jcfr
2013-04-02 11:08 tokuda Note Added: 0008284
2013-04-02 12:15 jcfr Status assigned => closed


Mantis 1.1.4[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker